<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Windwos 98</title>
    <link rel="stylesheet" href="css/98.css">
    <link rel="stylesheet" href="css/animate.min.css">
    
</head>
<style>
#escritorio{
  background: #008080;
  width: 100%;
  height: 100vh;
  overflow: hidden;
  position: absolute;
  top: 0;  
  left: 0;
}
</style>
<body style="overflow: hidden">
    <div id="app">
      <div id="escritorio" @drop="drop($event)" @dragover="allowDrop($event)">
        <ventana titulo="Prueba">
          Esta es una prueba
        </ventana>
        <ventana titulo="Prueba2">
          Esta es una prueba
        </ventana>
        <player></player>
        <propiedades></propiedades>
      </div>
      <bandeja></bandeja>
    </div>    
    <script>
        //cada ventana se va regir por estas propiedades
        let ventana = {
            titulo: '',
            x: 0,
            y: 0,
            ancho: 'auto',
            alto: 'auto',
            estatus: '', // normal, minimizada, maximizada,
            activa: true
        }
        function elimina(){
            let ventana = document.querySelector('.ventana');
            ventana.remove();
        }
        function show() {
            let ventana = document.querySelector('.ventana');
            if (ventana.classList.toString().indexOf('animate__bounceOutDown') == -1) {
              ventana.classList.remove('animate__bounceInUp');
              ventana.classList.add('animate__bounceOutDown');
            } else{
              ventana.classList.remove('animate__bounceOutDown');
              ventana.classList.add('animate__bounceInUp');              
            }
        }
        function minimizar() {
            let ventana = document.querySelector('.ventana');
            ventana.classList.add('animate__bounceOutDown');            
        }
        function maximiza(){
            let ventana = document.querySelector('.ventana');
            let win = ventana.querySelector('.window');
            win.style.top = "";
            win.style.left = "";
            if (win.style.width !== "100%"){
                win.style.width = "100%";
                ventana.style.width = "100%";
                win.style.height = "calc(100vh - 35px)";
            } else {
                win.style.width = "auto"
                ventana.style.width = "auto";
                win.style.height = "auto"
            }
        }
        let item = {
            target: null,
            x: 0,
            y: 0
        }
        function allowDrop(ev) {
          ev.preventDefault();
        }
        
        function drag(ev) {          
          console.log(ev);
          item.target = ev.target;
          item.x = ev.x;
          item.y = ev.y;
        }

        function incremento(ini, fin) {
            return fin-ini;
        }

        function numero(p) {
            if (p === '') return 0;
            return parseInt(p);
        }
        
        function drop(ev) {
          ev.preventDefault();
          const x = incremento(item.x, ev.x);
          const y = incremento(item.y, ev.y);          
          item.target.parentNode.style.left = numero(item.target.parentNode.style.left) + x + 'px';
          item.target.parentNode.style.top = numero(item.target.parentNode.style.top) + y + 'px';          
        }               
    </script>
    <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
    <script type="module" src="js/main.js"></script>
</body>
</html>